BACKSTEP(1)

NAME
backstep - Backstep is a program that draws icons for minimized windows on your desktop.

SYNOPSIS
backstep [options]...

DESCRIPTION
Backstep is a program that draws icons for minimized windows on your desktop. It doesn't depend on the window manager or on a desktop-drawing program (for example, I use it with Nautilus). It is meant to work with window managers that are EWHM compliant. However, I only know for sure that it works with Metacity and Xfwm4. And I know that it doesn't work with Fluxbox and that it only partially works with Kwin (hopefully this will be corrected soon). I haven't yet tested it with other window managers.

Drawing icons for minimized windows on the desktop might be considered a step backwards by many people (hence the name), but I find it useful to identify minimized windows by position rather than by name.

FEATURES
1) Simple to use. You do not have to configure anything - just run 'backstep'.

2) Session management support - at least to the extent that backstep adds itself to the session so that it will be started automatically the next time you log in to your desktop environment.

3) Grouping. Windows can be grouped together (by right clicking on their icons and selecting a group) so that when one window from the group is shown or hidden, all windows in the group are shown or hidden.

4) Configurable. You can make some adjustments to the way the icons look. This is done through a simple configuration dialog launched by right-clicking on an icon.

OPTIONS
  -?, --help Show these help options
  -c, --client=ID Client id for session management
  -n, --no-daemon Do not run as a daemon
  -v, --version output version information and exit
  --display=DISPLAY X display to use

AUTHOR
Backstep was written by Christopher Carroll <christopher@salbot.com>.

This manual page was written by Mario Limonciello <superm1@gmail.com>, for the Ubuntu project (but may be used by others).